Subject: Re: [PATCH 15/16] Add device tree for Ebony

From: David Gibson <[email-masked]>
Date: Thu, 15 Feb 2007 10:18:37 +1100

On Wed, Feb 14, 2007 at 06:54:06PM +0100, Segher Boessenkool wrote:
> > Oh, btw, I take it you didn't think my method of placing the secondary
> > UICs under the node for UIC0 was insane.
> 
> You have to put it somewhere.  I would put them
> as siblings to the primary UIC since they aren't
> really children but really on an equal footing.

Well, what does "really children" mean.  The UICs exist on no MMIO
bus, they're DCR controlled.  Their primary connection to the system,
therefore, *is* the interrupt lines.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson